part of 'menu_bloc.dart';

@immutable
abstract class MenuEvent extends Equatable {
  const MenuEvent();

  @override
  List<Object> get props => [];
}

class MenuCreate extends MenuEvent {
  const MenuCreate();

  @override
  List<Object> get props => [];
}

class MenuTreeDown extends MenuEvent {
  final WorkoutMenuTree? item;
  final int parent;
  MenuTreeDown({required this.parent, this.item});

  @override
  List<Object> get props => [parent];
}

class MenuTreeUp extends MenuEvent {
  final int parent;
  final WorkoutMenuTree? item;
  const MenuTreeUp({required this.parent, this.item});

  @override
  List<Object> get props => [parent];
}

class MenuTreeJump extends MenuEvent {
  final int parent;
  const MenuTreeJump({required this.parent});

  @override
  List<Object> get props => [parent];
}

class MenuClickExercise extends MenuEvent {
  final int exerciseTypeId;
  const MenuClickExercise({required this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class MenuRecreateTree extends MenuEvent {
  const MenuRecreateTree();
}

class MenuFilterExerciseType extends MenuEvent {
  final int deviceId;
  const MenuFilterExerciseType({required this.deviceId});
}
